Не за горами выход BuddyPress 1.2.6

К сожалению, разработчики тянут с выпуском BuddyPress 1.3, лишь латают дыры BP 1.2, что не так уж и плохо. До сих пор нет в репозитории кода новой версии.

Так как я не смогу, скорее всего, оперативно отреагировать на выход BP 1.2.6, то решил сделать перевод текущей версии, которую нашел в трекере. Я уверен, что ничего нового добавлено не будет, что сделает для вас невозможным использование BP на английском, поэтому по ссылке ниже скачайте перевод, который скорее всего будет 100% для BP 1.2.6:

Извините, этот файл сильно устарел и больше нет возможности его скачать.

Что же будет изменено в BuddyPress 1.2.6?

  • исправлена ошибка редактирования описания группы при использования форума;
  • убрано дублирование записей активности после обновления и иногда просто так;
  • исправлена проблема с не отображением пользовательских аватаров на внутренних блогах сети;
  • исправлены ошибки в компоненте Сообщения (даты и пометка непрочитанными отправленных сообщений);
  • несколько мелких ошибок в коде форума групп;
  • адаптация под WP 3.0 кода работы с базой;
  • а также стили, несколько опечаток, подгонка кода под WP 3.0.

комментариев 17

  1. Почему не раздувают функционал самого бадди? А то приходится ставить кучу плагинов!

    • Jettochkin:

      Идея самого WP – база + плагины, BP будет также ;) интегрить все в ядро – это ж сколько разработчиков надо увязывать.. а тут выпустил новую BP с сомнительными изменениями и пусть разработчики плагинов парятся подгоняя свое творчество ;)

  2. Mac:

    Вышел WordPress 3.0.1. Добавьте пожалуйста инструкции по обновлению.

    • Стандартно! Залил файло на сервак! Вошел в админку и обновил сеть!
      Правда у меня сеть автоматом так и не обновляется!

    • Jettochkin:

      Установил 3.0.1 теперь потребление памяти на стандартном WP вместо 5Mb -> 20Mb :))))))))))) жаль тут что то типа *ROLF* нельзя вставить :)))))))

      • Роман:

        А что с нагрузкой на процессор?
        А то у меня на хостинге память не ограничена, а ограничение только по нагрузке на процессор, вот думаю, стоит ли уже переходить с WPMU 2.9.2 на 3.0.1 или стоит еще подождать?

        • Jettochkin:

          ХЗ.. сравнивал 2.9.2 с 3.0 – по CPU вроде один в один, а вот по памяти лучше – где-то процентов 10%
          А вот перешел на 3.0.1 и прирост по памяти +200% :))))

      • На некоторых конфигурациях (например, при использовании акселераторов PHP) результаты замеров могут быть нестабильными. 5 МБ мало похоже на реальную цифру.

        Проверил на чистой установке в Денвере с помощью плагина WP-Memory-Usage: WordPress 3.0 потребляет 19.4 МБ, 3.0.1 — 19.41 МБ. Это больше соответствует действительности.

        • Jettochkin:

          использую для замеров WordPress.com Stats

          # Mem: WP 64M Usage 70% 45.11M Limit 64M *

          на самом деле небольшой косяк с моей стороны.. EA не работает с PHP 5.3.3, но! если раньше без него было 30Mb, то сейчас 45.11Mb – прирост есть
          (количество плагинов не изменялось)

  3. Mac:

    Что-то у меня через день после обновления до 3.0.1 начались какие-то ужасные глюки. Отвалился главный блог (остальные работают сами по себе), деактивировались все плагины, слетело большинство настроек в админке и главное не сохраняются, когда устанавливаю их обратно.
    Включил дебаг. Пишет везде всякую хрень типа:

    Notice: Функция define() вызвана с аргументом, который считается устаревшим с версии 3.0! Константа VHOST считается устаревшей. Используйте логическую константу SUBDOMAIN_INSTALL в wp-config.php, чтобы включить режим поддоменов. Используйте функцию is_subdomain_install(), чтобы проверить, включён ли режим поддоменов.. in /usr/www/site.ru/wp-includes/functions.php on line 3321

    Notice: Функция has_cap вызвана с аргументом, который считается устаревшим с версии 2.0! Использование уровней пользователей в плагинах и темах считается устаревшим. Используйте роли и возможности.. in /usr/www/site.ru/wp-includes/functions.php on line 3321

    Notice: Функция get_plugin_data вызвана с аргументом, который считается устаревшим с версии 3.0! Строка Site Wide Only: true в заголовке плагина считается устаревшей. Используйте Network: true.. in /usr/www/site.ru/wp-includes/functions.php on line 3321

    WP 3.0.1 обновил заново (вручную в том числе). Обновлял сеть раза три, но сообщение о необходимости обновить ее по-прежнему висит. BuddyPress тупо не активируется. Говорит, что плагин активирован, но на деле нихрена.

    Причем непонятно, после чего это началось. Все работало, а потом тупо упало.

    Шо делать?

    • Jettochkin:

      Про обновление до 3.0.x – тоже висит на одном из блогов.. скачай с wordpress.org (а не ru.wordpress.org)

      По константам – есть такое, но глюков описанных выше не вызывает..

      • Русскоязычная версия отличается только текстами. Почему такой совет? Если проблема в дистрибутиве, то она требует отладки и решения в виде патча в багтрекере.

        В данном случае, поскольку симптомы проявились не сразу, может иметь место проблема с работой базы данных у хостинг-провайдера. Можно попробовать выполнить REPAIR c помощью phpMyAdmin.

  4. Mac:

    Да… что-то до сих пор нет нового BP.

    • Jettochkin:

      Лучше б ничего не делали – можно было бы плагинами добить движок…

      Однако уже знаю, что заменили функцию bp_core_load_template (или что то схожее) на что то.. придется плагины переделывать…

      • Я пока транк не смотрел, но будет печально, если поменяли многое – у меня многое используется в новом плагине, который сейчас пишу..

        • Jettochkin:

          На днях поставил.. сразу белый экран :) в логах много каких ошибок – одна из них bp_core_load_template
          Так что.. кроме тестирования своих плагинов – надо будет как обычно тестировать разрабов.. ну вот накой они так делают :)

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *